'''
   ____ ____ ___ ___  
  / ___|  _ \_ _/ _ \ 
 | |  _| |_) | | | | |
 | |_| |  __/| | |_| |
  \____|_|  |___\___/ 
                      
script to control GPIO output

GPIO 16 -> SARA 5V
GPIO 20 -> SARA PWR ON

option 1:
CLI tool like pinctrl
pinctrl set 16 op
pinctrl set 16 dh
pinctrl set 16 dl

option 2:
python library RPI.GPIO


/usr/bin/python3 /var/www/nebuleair_pro_4g/GPIO/control.py
'''

import RPi.GPIO as GPIO
import time

selected_GPIO = 16 

GPIO.setmode(GPIO.BCM)  # Use BCM numbering
GPIO.setup(selected_GPIO, GPIO.OUT)  # Set GPIO17 as an output

while True:
    GPIO.output(selected_GPIO, GPIO.HIGH)  # Turn ON
    time.sleep(1)  # Wait 1 sec
    GPIO.output(selected_GPIO, GPIO.LOW)   # Turn OFF
    time.sleep(1)  # Wait 1 sec


